Taken regelmatig laten uitvoeren

Met Taakplanner kunt u toepassingen en hulpprogramma's, zoals Defragmentatie, regelmatig laten uitvoeren op een tijdstip dat u het beste uitkomt. Taakplanner wordt gestart zodra u Windows start en wordt op de achtergrond uitgevoerd.

U kunt Taakplanner ook als volgt openen: klik op Start, wijs Programma’s, Bureau-accessoires en Systeemwerkset aan en klik op Geplande taken.

Taakplanner biedt de volgende mogelijkheden:

  • Instellen dat een taak dagelijks, wekelijks, maandelijks of op een bepaald tijdstip moet worden uitgevoerd, bijvoorbeeld wanneer de computer wordt opgestart of niet actief is.
  • U kunt het schema voor een bestaande taak wijzigen of uitschakelen.
  • Instellen hoe een taak op het geplande tijdstip moet worden uitgevoerd.


Nieuwe taken plannen

Een nieuwe taak plannen

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Dubbelklik op Een geplande taak toevoegen.
  3. Volg de instructies in de wizard Taak plannen.

    4. Als u geavanceerde instellingen voor de taak wilt opgeven, bijvoorbeeld om de taak herhaald te laten uitvoeren, schakelt u in het laatste scherm van de wizard het selectievakje Geavanceerde eigenschappen openen in.

Opmerkingen

  • Als u om parameters wordt gevraagd, schakelt u in het laatste scherm van de wizard het selectievakje Geavanceerde eigenschappen openen in. Klik op Voltooien, klik op het tabblad Taak en typ de parameters in het vak Uitvoeren achter het pad voor de taak.
  • Een geplande taak wordt altijd uitgevoerd als de computer aan staat. Het maakt daarbij niet uit of er op dat moment iemand bij Windows is aangemeld. Als u geen taken wilt laten uitvoeren wanneer er niemand is aangemeld, opent u de map Geplande taken voordat u zich afmeldt. Klik vervolgens op Taakplanner uitschakelen in het menu Geavanceerd. Als u Taakplanner weer wilt inschakelen nadat u zich opnieuw hebt aangemeld, opent u de map Geplande taken en klikt u op Taakplanner starten in het menu Geavanceerd.
  • Controleer of de systeemdatum en -tijd van de computer goed zijn ingesteld. Aan de hand van deze gegevens wordt bepaald wanneer geplande taken moeten worden uitgevoerd. U kunt de datum en tijd wijzigen door te dubbelklikken op de klok op de Taakbalk.

Verwante onderwerpen


Geplande taken wijzigen

Een geplande taak wijzigen

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik met de rechtermuisknop op de taak die u wilt wijzigen en klik vervolgens op Eigenschappen.
  3. Voer een of meer van de volgende handelingen uit:
    • Als u een ander programma wilt laten uitvoeren, typt u het pad voor de taak in het vak Uitvoeren of klikt u op Bladeren.
    • Als u het schema voor de taak wilt wijzigen, klikt u op het tabblad Schema.
    • Als u de instellingen voor de taak wilt wijzigen, klikt u op het tabblad Instellingen.

Opmerkingen

  • Als u om parameters wordt gevraagd, typt u deze in het vak Uitvoeren achter het pad voor de taak.
  • Als het pad naar het taakprogramma spaties bevat, plaatst u het volledige pad tussen dubbele aanhalingstekens (").


Een geplande taak verwijderen

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik met de rechtermuisknop op de taak die u wilt verwijderen en klik vervolgens op Verwijderen.

Opmerking

  • Bij het verwijderen van een geplande taak wordt de taak alleen uit de map Geplande taken verwijderd. Het bij de taak behorende programma wordt niet van de computer verwijderd.


Het uitvoeren van een geplande taak beëindigen

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik met de rechtermuisknop op de taak die u wilt beëindigen en klik vervolgens op Taak beëindigen.

Opmerkingen

  • Als door het uitvoeren van een geplande taak een ander programma wordt gestart, wordt met deze opdracht alleen de oorspronkelijke geplande taak beëindigd en niet de tweede taak.
  • Als u een taak opnieuw wilt uitvoeren, klikt u met de rechtermuisknop op de taak en klikt u vervolgens op Uitvoeren.
  • Een geplande taak wordt altijd uitgevoerd als de computer aan staat. Het maakt daarbij niet uit of er op dat moment iemand bij Windows is aangemeld. Als u geen taken wilt laten uitvoeren wanneer er niemand is aangemeld, opent u de map Geplande taken voordat u zich afmeldt. Klik vervolgens op Taakplanner uitschakelen in het menu Geavanceerd. Als u Taakplanner weer wilt inschakelen nadat u zich opnieuw hebt aangemeld, opent u de map Geplande taken en klikt u op Taakplanner starten in het menu Geavanceerd.


Taken onmiddellijk uitvoeren

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik met de rechtermuisknop op de taak die u wilt uitvoeren en klik vervolgens op Uitvoeren.

Opmerkingen

  • U kunt de taak beëindigen door op Geplande taak beëindigen te klikken in het menu Bestand.
  • Als een taak niet op het geplande tijdstip is uitgevoerd, kijkt u in het logboek wat de oorzaak is. Klik op Logboek weergeven in het menu Geavanceerd.


Een logboek met reeds uitgevoerde taken bekijken

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik op Logboek weergeven in het menu Geavanceerd.


Geplande taken weergeven op een externe computer

  1. Dubbelklik op het pictogram Mijn netwerklocaties.
  2. Dubbelklik op de computer waarop u geplande taken wilt weergeven.
  3. Dubbelklik op de map Geplande taken.

Opmerking

  • U kunt op een externe computer alleen taken bewerken als er op die externe computer software voor externe registers is geïnstalleerd en als de share x$ wordt gedeeld, waarbij x staat voor de vaste schijf waarop de map Geplande taken is opgeslagen. Ook moet aan uw gebruikersaccount expliciet toegang tot het externe register worden verleend. U kunt opgeven welke gebruikers externe toegang hebben tot het register van een computer. Hiertoe dubbelklikt u in het Configuratiescherm op het pictogram Beveiliging.


Alle geplande taken tijdelijk onderbreken

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik op Taakplanner onderbreken in het menu Geavanceerd.

    Deze opdracht is vooral handig als u een ander programma, zoals een spelletje, uitvoert of software installeert en op dat moment geen taken wilt laten uitvoeren.

Opmerkingen

  • Taken die zouden zijn uitgevoerd als Taakplanner niet was onderbroken, worden pas uitgevoerd op het volgende geplande tijdstip voor die taken.
  • Als u alle taken weer volgens planning wilt laten uitvoeren, klikt u op Doorgaan met Taakplanner in het menu Geavanceerd.


Taakplanner uitschakelen

  1. Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.
  2. Klik op Taakplanner uitschakelen in het menu Geavanceerd.

Opmerking

  • Als u Taakplanner uitschakelt, worden de geplande taken niet uitgevoerd en wordt Taakplanner niet meer automatisch gestart wanneer u Windows start.


Problemen met Taakplanner oplossen

Als de geplande taak niet op het verwachte tijdstip wordt uitgevoerd, klikt u met de rechtermuisknop op de taak en klikt u vervolgens op Eigenschappen. Controleer of het selectievakje Ingeschakeld is ingeschakeld op het tabblad Taak. Controleer of de planning correct is ingesteld op het tabblad Schema.

Als een taakprogramma niet goed wordt uitgevoerd, is het mogelijk dat u opdrachtargumenten voor het programma moet opgeven. Als u meer wilt weten over een programma en de bijbehorende argumenten, voert u een van de volgende handelingen uit:

  • Als het programma over on line Help beschikt, raadpleegt u deze Help.
  • Typ het volgende achter de MS-DOS-prompt, waarbij programma staat voor de naam van het programma.
    programma /?


De map Geplande taken openen

  • Klik op Start, wijs Programma's, Bureau-accessoires en Systeemwerkset aan en klik vervolgens op Geplande taken.